# Interface ModelStats

structure that holds global stats for currently loaded models

interface ModelStats {
modelStats : ModelInfo [];
numDefinedModels : number;
numLoadedModels : number;
percentageLoaded : number;
totalSizeFromManifest : number;
totalSizeLoading : number;
totalSizeWeights : number;
}

- Defined in src/models.ts:71

##### Index

### Properties

modelStats
numDefinedModels
numLoadedModels
percentageLoaded
totalSizeFromManifest
totalSizeLoading
totalSizeWeights

## Properties

### modelStats

modelStats: ModelInfo []

- Defined in src/models.ts:78

### numDefinedModels

numDefinedModels: number

- Defined in src/models.ts:73

### numLoadedModels

numLoadedModels: number

- Defined in src/models.ts:72

### percentageLoaded

percentageLoaded: number

- Defined in src/models.ts:74

### totalSizeFromManifest

totalSizeFromManifest: number

- Defined in src/models.ts:75

### totalSizeLoading

totalSizeLoading: number

- Defined in src/models.ts:77

### totalSizeWeights

totalSizeWeights: number

- Defined in src/models.ts:76